<?php

namespace AppBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\RepeatedType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\PasswordType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;

class UserType extends AbstractType
{
    /**
     * {@inheritdoc}
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('username', TextType::class)
            ->add('password', RepeatedType::class, array(
                'type'          =>  PasswordType::class,
                'first_options' =>  array('label'   => 'Mot de passe'),
                'second_options'=>  array('label'   => 'Répéter le mot de passe'),
                'invalid_message'   =>  'Les mots de passe ne correspondent pas'
            ))
            ->add('prenom', TextType::class)
            ->add('nom', TextType::class)
            ->add('mail', EmailType::class)
            ->add('roles', ChoiceType::class, array(
                'choices'   => array (
                    'Administrateur'    =>  'ROLE_ADMIN',
                    'User'     =>  'ROLE_USER',
                    'Modérateur'   =>  'ROLE_MODERATEUR',
                    'Super Admin'   =>  'ROLE_SUPER_ADMIN'
                ),
                'multiple'  => true
            ))
            ->add('save', SubmitType::class, array('label' => 'Enregistrer'));

    }

    /**
     * {@inheritdoc}
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'AppBundle\Entity\User'
        ));
    }

    /**
     * {@inheritdoc}
     */
    public function getBlockPrefix()
    {
        return 'appbundle_user';
    }


}
